use async_trait::async_trait;

#[async_trait]
pub trait Service: Send + Sync {
    fn get_token(&self) -> &String;

    async fn fetch_token(&mut self);
    // async fn get_track_by_isrc(&self, isrc: &str);

    fn is_expired(&self) -> bool;
}
